using Application.Abstractions.Identity.Models;

namespace Application.Abstractions.Identity
{
    public interface IIdentityRoleWriter
    {
        Task CreateRoleAsync(string roleName, CancellationToken ct);
        Task DeleteRoleAsync(string roleID, CancellationToken ct);
        Task UpdateRoleAsync(string roleID, PermissionDto permission, CancellationToken ct);
    }
}